

# ensure session is clean
rm(list=ls())

# explore cstools objects
exp <- lonlat_data$exp
obs <- lonlat_data$obs
ls()
dim(exp$data)
dim(obs$data)
class(exp)
class(obs)



# vector, matrix, array:
sequence <- 1:10
is.vector(sequence)
sequence
square <- matrix(1:10, ncol = 5, nrow = 2)
is.matrix(square)
square
square[1,3]
multidim <- array(1:20, c(height = 2, length = 2, with = 5))
dim(multidim)
is.array(multidim)
unidim <- array(1:10, c(Dim1 = 10))
unidim
is.array(unidim)

